
(function ($) {
    "use strict";

    $('.forminp').each(function(){
        $(this).on('blur', function(){
            if($(this).val().trim() != "") {
                $(this).addClass('has-val');
            }
            else {
                $(this).removeClass('has-val');
            }
        })    
    })
  
  
    /*==================================================================
    [ Validate ]*/
    var input = $('.nw-input .forminp');

    $('.validate-form').on('submit',function(){
        var check = true;

        for(var i=0; i<input.length; i++) {
            if(validate(input[i]) == false){
				var thisAlert = $(input[i]).parent();
				$(thisAlert).addClass('alert-validate');
                check = false;
            }
        }
        return check;
    });
	
	
	function validate (input) {
        if($(input).attr('type') == 'email' || $(input).attr('name') == 'email') {
            if($(input).val().trim().match(/^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{1,5}|[0-9]{1,3})(\]?)$/) == null) {
                return false;
            }
        }
		
        else {
            if($(input).val().trim() == ''){
                return false;
            }
        }
    }

    $('.validate-form .forminp').each(function(){
        $(this).focus(function(){
		   
		   var thisAlert = $(this).parent();

			$(thisAlert).removeClass('alert-validate');
		
        });
    });
    
    

})(jQuery);